List Onchain Wallet Balances
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balancesimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/web3_balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balances": [
{
"asset": {
"network": "<string>",
"contract_address": "<string>",
"symbol": "<string>",
"token_id": "<string>",
"name": "<string>"
},
"amount": "109.42",
"visibility_status": "VISIBLE"
}
],
"pagination": {
"next_cursor": "<string>",
"sort_direction": "DESC",
"has_next": true
},
"defi_balances": [
{
"network": "<string>",
"protocol": "<string>",
"net_usd_value": "<string>"
}
]
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"subcode": "PORTFOLIO_ID_REQUIRED",
"trace_id": "<string>"
}{
"code": "AUTHENTICATION_FAILED",
"message": "<string>",
"subcode": "AUTH_UNAUTHENTICATED",
"trace_id": "<string>"
}{
"code": "PERMISSION_DENIED",
"message": "<string>",
"subcode": "AUTH_RESOURCE_ACCESS_DENIED",
"trace_id": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"subcode": "AUTH_RESOURCE_NOT_FOUND",
"trace_id": "<string>"
}{
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>",
"subcode": "SERVER_RATE_LIMIT_EXCEEDED",
"trace_id": "<string>"
}{
"code": "SERVICE_UNAVAILABLE",
"message": "<string>",
"subcode": "SERVER_MAINTENANCE_MODE_ACTIVE",
"trace_id": "<string>"
}Balances
List Onchain Wallet Balances
Query balances for a specific onchain wallet.
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
web3_balances
List Onchain Wallet Balances
Path Parameters
Portfolio to retrieve balances for.
Onchain wallet to retrieve balances for.
Query Parameters
Visibility statuses to filter balances on. Leaving this field empty will return only VISIBLE balances.
- UNKNOWN_VISIBILITY_STATUS: nil
- VISIBLE: Visible
- HIDDEN: Hidden
- SPAM: Spam
Available options:
VISIBLE, HIDDEN, SPAM Id to retrieve additional results strictly after
Number of items to retrieve. Defaults to 100 with a max size of 500.
Was this page helpful?